- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

BN_CTX_start, BN_CTX_get, BN_CTX_end - use temporary BIGNUM variables

# SYNOPSIS

     #include <openssl/bn.h>

     void BN_CTX_start(BN_CTX *ctx);

     BIGNUM *BN_CTX_get(BN_CTX *ctx);

     void BN_CTX_end(BN_CTX *ctx);

# DESCRIPTION

These functions are used to obtain temporary BIGNUM variables from a BN_CTX (which can been created by using RETURN VALUES

BN_CTX_start() and BN_CTX_end() return no values.

BN_CTX_get() returns a pointer to the BIGNUM, or NULL on error. Once BN_CTX_get() has failed, the subsequent calls will return NULL as well, so it is sufficient to check the return value of the last BN_CTX_get() call. In case of an error, an error code is set, which can be obtained by SEE ALSO

COPYRIGHT

Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.